package conv

import (
	"gadmin/package/gmdata"
	"gadmin/utility"
	"github.com/sirupsen/logrus"
)

var LimitGift = new(cLimitGift)

type cLimitGift struct {
	version string
	lst     []*gmdata.Role
}

func (j *cLimitGift) Extract(version string) {
	logrus.Info("cLimitGift Extract...")
	j.setVersion(version).save()
}

func (j *cLimitGift) setVersion(version string) *cLimitGift {
	j.version = version
	return j
}

func (j *cLimitGift) save() {
	// 下载的文件列表
	downs := []string{"LimitGift.json"}
	for _, fileName := range downs {

		// 保存文件
		url := utility.PullJsonAddr(j.version, fileName)
		dstFileName := utility.LocalJsonPath(j.version, fileName)
		if err := HttpRequestToFile(url, dstFileName); err != nil {
			logrus.Info("HttpRequestToFile err:%+v", err)
			return
		}
	}
}
